## ros-noetic-mrpt-graphslam-2d 0.1.11

=== debian/changelog ===
ros-noetic-mrpt-graphslam-2d (0.1.11-1buster) buster; urgency=high

  * Ported to tf2 and mrpt::ros1bridge
  * Fix build with mrpt2
  * Update multimaster_msgs_fkie to fkie_ prefix
  * Merge branch 'master' of ssh://github.com/mrpt-ros-pkg/mrpt_slam
  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #65 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/65> from Pillowline/patch-1
    setting trajectory publishers to latched
  * setting trajectory publishers to latched
    So you can obtain data when running mrpt_graphslam with a bagfile, even after the playback has finished.
  * Contributors: Jose Luis Blanco-Claraco, Pillowline

 -- Nikos Koukis <nickkouk@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-graphslam-2d (0.1.10-1buster) buster; urgency=high

  * fix build against current mrpt2
  * fix build against mrpt2
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Nikos Koukis <nickkouk@gmail.com>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-graphslam-2d (0.1.9-1buster) buster; urgency=high

  * Fix build against MRPT 1.9.9
  * Switch header guards to pragma once
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Nikos Koukis <nickkouk@gmail.com>  Sat, 13 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-graphslam-2d (0.1.8-1buster) buster; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Nikos Koukis <nickkouk@gmail.com>  Thu, 20 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-graphslam-2d (0.1.7-1buster) buster; urgency=high

  * mrpt_graphslam_2d: Fix compilation warnings
  * Remove installation of the demo directory from mrpt_graphslam_2d.
    It doesn't exist, so causes problems at the last stage of cmake.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette, Jose Luis Blanco-Claraco, Nikos Koukis

 -- Nikos Koukis <nickkouk@gmail.com>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-graphslam-2d (0.1.6-1buster) buster; urgency=high

  * Fixed compilation with MRPT 1.5
  * Merge pull request #41 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/41> from MaxGsomGsom/master
    Fixed build with mrpt 2.0
  * Fixed indents
  * Fixed build with mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * fix build; add optimized builds (-O3)
  * fix build against mrpt 1.5 series
  * Merge pull request #32 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/32> from bergercookie/master
    Correct prev_nodes_ICP error
  * Correct prev_nodes_ICP member var
  * mrpt_graphslam_2d: Add link to GitPitch slideshow
  * mrpt_graphslam_2d: Validate user args in rename_rviz_topics.py
  * use consistent cmake conventions for c++14
  * all but mrpt_graphslam_2d compiling against mrpt2.0
  * porting to mrpt2
  * fix #28 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/28>, compiling all nodes using -std=c++14
  * CMake finds MRPT >=1.5 in branch master
  * Merge pull request #23 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/23> from bergercookie/graphslam-devel
    mrpt_graphslam_2d:Add to ini config files, instructions
  * mrpt_graphslam_2d:Fix broken links in README
  * mrpt_graphslam_2d:Use template files and python script to generate rviz files for rosbag, gazebo runs
  * mrpt_graphslam_2d:Add to the instructions for running graphSLAM from rosbags
  * mrpt_graphslam_2d:Update graphslam_real_2.rviz file
  * mrpt_graphslam_2d:Tweak config for real-time usage
  * mrpt_graphslam_2d:Have .ini file specifically for gazebo simulations
  * mrpt_graphslam_2d:CGraphSlamEngine_MR to have its own struct for config variables
  * mrpt_graphslam_2d:Finish configuration for mr-slam with rosbags
  * mrpt_graphslam_2d:Add initial setup and instructions for running mr-slam from rosbags
  * mrpt_graphslam_2d:Correct sr_graphslam_demo_gt execution
  * mrpt-graphslam:Modify parameters of mr-slam .ini file
  * mrpt_graphslam:Add rviz file for 4 agents
  * mrpt-graphslam:Remove deprecated .ini argument
  * mrpt-graphslam_2d:Add using directives when needed
  * Merge pull request #22 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/22> from bergercookie/graphslam-devel
    Add support for 2D multi-robot SLAM
  * mrpt_graphslam_2d:Comply to MRPT changes
  * Comply to new MRPT_LOG_*_STREAM format
  * Update rviz files, launchfiles
  * mrpt_graphslam_2d: Correct error in visualization of robot orientation in rviz
  * mrpt_graphslam_2d: Publish current robot_position to topic
  * Update rviz file
  * mrpt_graphslam_2d: Visualize compressed versions of images
  * mrpt_graphslam_2d: Update documentation
  * mrpt_graphslam_2d: Add local .gitignore
  * mrpt_graphslam_2d: Skip first unecessary seconds of demo_short_loop rosbag
  * Fix bug when running with more than 2 agents
    Bug occurred due to a dangling reference after rewriting the contents of a
    vector
  * mrpt_graphslam_2d: Successful mr-graphslam real-time experiment
  * Add configuration file for real-time mr-graphSLAM
  * mrpt_graphslam_2d: Have topic_namespace of agent be the same as its name
  * mrpt_graphslam_2d: Add rest of nodes in batches
    Knowing the transformation from own graph to neighbor's graph I
    integrate into own map the rest of the received nodes in batches of X
    nodes (default=4)
  * Change names of files and classes *_CM -> *_MR
    Multi-robot SLAM is no longer (heavily) based on Condensed Measurements,
    thus the corresponding files/classes are named appropriately.
    MR: Multi-robot
  * mrpt_graphslam_2d: Finish first working version of mr-graphSLAM
  * mrpt-graphslam: Add more rviz files for gazebo
    Commit also temporarily deals with the segfault when running with more
    than 2 robots
  * Finish first working version of map_merger node
    map_merger node subscribes to all the published maps and trajectories,
    fetches the results and upon user request computes an appropriate

