=== debian/control ===
Source: ros-noetic-mrpt-graphslam-2d
Section: misc
Priority: optional
Maintainer: Nikos Koukis <nickkouk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-fkie-multimaster-msgs, ros-noetic-geometry-msgs, ros-noetic-mrpt-msgs, ros-noetic-mrpt-msgs-bridge, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Homepage: http://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-graphslam-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fkie-multimaster-msgs, ros-noetic-geometry-msgs, ros-noetic-mrpt-msgs, ros-noetic-mrpt-msgs-bridge, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Description: Implement graphSLAM using the mrpt-graphslam library, in an online fashion by directly reading measurements off ROS Topics.
